// REVISION    : $Revision: 1.3 $
//                   MENTOR Proprietary and Confidential
//                       Copyright (c) 2002, MENTOR
`timescale 1ps/1ps
module
CORETES_AHB_CORETES_AHB_0_TX2048X40
#
(
parameter
TABITS
=
12
)
(
clk_wr
,
clk_rd
,
weL
,
a_wr
,
din
,
a_rd
,
dout
)
;
input
clk_wr
;
input
clk_rd
;
input
weL
;
input
[
(
TABITS
-
1
)
:
0
]
a_wr
;
input
[
39
:
0
]
din
;
input
[
(
TABITS
-
1
)
:
0
]
a_rd
;
output
[
39
:
0
]
dout
;
reg
[
39
:
0
]
dout
;
reg
[
39
:
0
]
CORETSElOil
;
parameter
CORETSEOII
=
1
;
parameter
CORETSEoOil
=
1
;
parameter
CORETSEiOil
=
4
;
wire
CORETSEOIil
;
reg
[
39
:
0
]
CORETSEIIil
[
0
:
(
1
<<
TABITS
)
-
1
]
;
assign
#
CORETSEoOil
CORETSEOIil
=
clk_wr
;
always
@
(
posedge
CORETSEOIil
)
if
(
~
weL
)
CORETSEIIil
[
a_wr
]
=
din
;
always
@
(
posedge
clk_rd
)
begin
dout
=
#
CORETSEiOil
CORETSEIIil
[
a_rd
]
;
end
endmodule
