`timescale 1 ns/100 ps
// Version: v12.0 12.500.0.22


module SGMII_CDR_0_01_PF_IOD_CDR_LANECTRL_OVERLAY_0_PF_IOD(
       HS_IO_CLK,
       TX_DATA_0,
       OE_DATA_0,
       RX_BIT_SLIP_0,
       EYE_MONITOR_CLEAR_FLAGS_0,
       DELAY_LINE_MOVE_0,
       DELAY_LINE_DIRECTION_0,
       DELAY_LINE_LOAD_0,
       FAB_CLK,
       CDR_CLK_A_SEL_8,
       CDR_CLK_A_SEL_9,
       CDR_CLK_A_SEL_10,
       CDR_CLK_B_SEL,
       CDR_CLR_NEXT_CLK_N,
       SWITCH,
       ODT_EN_0
    );
input  [0:0] HS_IO_CLK;
input  [7:0] TX_DATA_0;
input  [3:0] OE_DATA_0;
input  RX_BIT_SLIP_0;
input  EYE_MONITOR_CLEAR_FLAGS_0;
input  DELAY_LINE_MOVE_0;
input  DELAY_LINE_DIRECTION_0;
input  DELAY_LINE_LOAD_0;
input  FAB_CLK;
output CDR_CLK_A_SEL_8;
output CDR_CLK_A_SEL_9;
output CDR_CLK_A_SEL_10;
output [10:0] CDR_CLK_B_SEL;
output CDR_CLR_NEXT_CLK_N;
output SWITCH;
input  ODT_EN_0;

    wire GND_net, VCC_net;
    
    VCC vcc_inst (.Y(VCC_net));
    GND gnd_inst (.Y(GND_net));
    IOD #( .DATA_RATE(1250.0), .FORMAL_NAME("LANECTRL_OVERLAY"), .INTERFACE_NAME("CDR4")
        , .DELAY_LINE_SIMULATION_MODE("ENABLED"), .RESERVED_0(1'b0), .RX_CLK_EN(1'b0)
        , .RX_CLK_INV(1'b0), .TX_CLK_EN(1'b0), .TX_CLK_INV(1'b0), .HS_IO_CLK_SEL(3'b000)
        , .QDR_EN(1'b0), .EDGE_DETECT_EN(1'b0), .DELAY_LINE_MODE(2'b00)
        , .RX_MODE(4'b0000), .EYE_MONITOR_MODE(1'b0), .DYN_DELAY_LINE_EN(1'b0)
        , .FIFO_WR_EN(1'b0), .EYE_MONITOR_EN(1'b0), .TX_MODE(7'b0000000)
        , .TX_CLK_SEL(2'b00), .TX_OE_MODE(3'b111), .TX_OE_CLK_INV(1'b0)
        , .RX_DELAY_VAL(8'b00000000), .RX_DELAY_VAL_X2(1'b0), .TX_DELAY_VAL(8'b00000000)
        , .EYE_MONITOR_WIDTH(3'b010), .EYE_MONITOR_WIDTH_SRC(1'b0), .RESERVED_1(1'b0)
        , .DISABLE_LANECTRL_RESET(1'b1), .INPUT_DELAY_SEL(2'b00), .OEFF_EN_INV(1'b0)
        , .INFF_EN_INV(1'b0), .OUTFF_EN_INV(1'b0) )  I_IOD_0 (
        .EYE_MONITOR_EARLY(), .EYE_MONITOR_LATE(), .RX_DATA({nc0, nc1, 
        nc2, nc3, nc4, nc5, nc6, nc7, nc8, nc9}), 
        .DELAY_LINE_OUT_OF_RANGE(), .TX_DATA({TX_DATA_0[7], 
        TX_DATA_0[6], TX_DATA_0[5], TX_DATA_0[4], TX_DATA_0[3], 
        TX_DATA_0[2], TX_DATA_0[1], TX_DATA_0[0]}), .OE_DATA({
        OE_DATA_0[3], OE_DATA_0[2], OE_DATA_0[1], OE_DATA_0[0]}), 
        .RX_BIT_SLIP(RX_BIT_SLIP_0), .EYE_MONITOR_CLEAR_FLAGS(
        EYE_MONITOR_CLEAR_FLAGS_0), .DELAY_LINE_MOVE(DELAY_LINE_MOVE_0)
        , .DELAY_LINE_DIRECTION(DELAY_LINE_DIRECTION_0), 
        .DELAY_LINE_LOAD(DELAY_LINE_LOAD_0), .RX_CLK(GND_net), .TX_CLK(
        GND_net), .ODT_EN(ODT_EN_0), .INFF_SL(GND_net), .INFF_EN(
        GND_net), .OUTFF_SL(GND_net), .OUTFF_EN(GND_net), .AL_N(
        GND_net), .OEFF_LAT_N(GND_net), .OEFF_SD_N(GND_net), 
        .OEFF_AD_N(), .INFF_LAT_N(GND_net), .INFF_SD_N(GND_net), 
        .INFF_AD_N(GND_net), .OUTFF_LAT_N(GND_net), .OUTFF_SD_N(
        GND_net), .OUTFF_AD_N(), .RX_P(), .RX_N(), .TX_DATA_9(GND_net), 
        .TX_DATA_8(GND_net), .ARST_N(VCC_net), .RX_SYNC_RST(VCC_net), 
        .TX_SYNC_RST(VCC_net), .HS_IO_CLK({GND_net, GND_net, GND_net, 
        GND_net, GND_net, HS_IO_CLK[0]}), .RX_DQS_90({GND_net, GND_net})
        , .TX_DQS(GND_net), .TX_DQS_270(GND_net), .FIFO_WR_PTR({
        GND_net, GND_net, GND_net}), .FIFO_RD_PTR({GND_net, GND_net, 
        GND_net}), .TX(), .OE(), .CDR_CLK(GND_net), .CDR_NEXT_CLK(
        GND_net), .EYE_MONITOR_LANE_WIDTH({GND_net, GND_net, GND_net}), 
        .DDR_DO_READ(), .CDR_CLK_A_SEL_8(CDR_CLK_A_SEL_8), 
        .CDR_CLK_A_SEL_9(CDR_CLK_A_SEL_9), .CDR_CLK_A_SEL_10(
        CDR_CLK_A_SEL_10), .CDR_CLK_B_SEL({CDR_CLK_B_SEL[10], 
        CDR_CLK_B_SEL[9], CDR_CLK_B_SEL[8], CDR_CLK_B_SEL[7], 
        CDR_CLK_B_SEL[6], CDR_CLK_B_SEL[5], CDR_CLK_B_SEL[4], 
        CDR_CLK_B_SEL[3], CDR_CLK_B_SEL[2], CDR_CLK_B_SEL[1], 
        CDR_CLK_B_SEL[0]}), .SWITCH(SWITCH), .CDR_CLR_NEXT_CLK_N(
        CDR_CLR_NEXT_CLK_N), .TX_DATA_OUT_9(), .TX_DATA_OUT_8(), 
        .AL_N_OUT(), .OUTFF_SL_OUT(), .OUTFF_EN_OUT(), .INFF_SL_OUT(), 
        .INFF_EN_OUT(), .RX_CLK_OUT(), .TX_CLK_OUT());
    
endmodule
